package com.inca.npbusi.saset.invoice_no_set;

import com.inca.np.auth.ClientUserManager;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.CTable;
import com.inca.np.gui.control.DBTableModel;
import com.inca.npx.ste.CSteModelAp;
import com.inca.pubsrv.Chinesetoen;
import com.inca.pubsrv.NpbusiDBHelper;
import com.inca.pubsrv.hov.pub_employee_hov.Multi_pub_employee_hov;
import com.inca.pubsrv.hov.pub_role_hov.Multi_role_hov;

public class InvoiceSet_ste extends CSteModelAp {
   public InvoiceSet_ste(CFrame var1) {
      super(var1, "发票号设置表");
   }

   public String getTablename() {
      return "bms_invoice_no_set_v";
   }

   public String getSaveCommandString() {
      return "com.inca.npbusi.saset.invoice_no_set.InvoiceSet_ste.保存发票设置";
   }

   protected int on_actionPerformed(String var1) {
      String var3;
      int[] var4;
      int var5;
      String var6;
      int var7;
      String var8;
      String var9;
      CTable var10;
      int[] var11;
      DBTableModel var13;
      int var14;
      String var15;
      int[] var16;
      int var17;
      int var18;
      if ("设置角色".equals(var1)) {
         Multi_role_hov var2 = new Multi_role_hov();
         var3 = this.getHovOtherWheresAp(Multi_role_hov.class.getName());
         var2.setOtherwheres(var3);
         if (var2.showDialog(this.frame, "设置角色集合") == null) {
            return -1;
         }

         var13 = (DBTableModel)(var10 = var2.getDlgtable()).getModel();
         var11 = var10.getSelectedRows();
         var4 = this.getTable().getSelectedRows();
         var5 = var11.length;
         var14 = var4.length;
         if (var5 <= 0) {
            return -1;
         }

         if (var14 <= 0) {
            return -1;
         }

         var15 = "";
         var6 = "";

         for(var7 = 0; var7 < var5; ++var7) {
            var8 = var13.getItemValue(var11[var7], "roleid");
            var9 = var13.getItemValue(var11[var7], "rolename");
            if (!var8.equals("") && var8 != null) {
               if (!var15.equals("") && var15 != null) {
                  var15 = var15 + "," + var8;
               } else {
                  var15 = var8;
               }
            }

            if (!var9.equals("") && var9 != null) {
               if (!var6.equals("") && var6 != null) {
                  var6 = var6 + "," + var9;
               } else {
                  var6 = var9;
               }
            }
         }

         var17 = (var16 = this.getTable().getSelectedRows()).length;

         for(var18 = 0; var18 < var17; ++var18) {
            this.setItemValue(var16[var18], "roleidset", var15);
            this.setItemValue(var16[var18], "rolenameset", var6);
         }
      }

      if ("设置人员".equals(var1)) {
         Multi_pub_employee_hov var12 = new Multi_pub_employee_hov();
         var3 = this.getHovOtherWheresAp(Multi_role_hov.class.getName());
         var12.setOtherwheres(var3);
         if (var12.showDialog(this.frame, "设置人员集合") == null) {
            return -1;
         }

         var13 = (DBTableModel)(var10 = var12.getDlgtable()).getModel();
         var11 = var10.getSelectedRows();
         var4 = this.getTable().getSelectedRows();
         var5 = var11.length;
         var14 = var4.length;
         if (var5 <= 0) {
            return -1;
         }

         if (var14 <= 0) {
            return -1;
         }

         var15 = "";
         var6 = "";

         for(var7 = 0; var7 < var5; ++var7) {
            var8 = var13.getItemValue(var11[var7], "employeeid");
            var9 = var13.getItemValue(var11[var7], "employeename");
            if (!var8.equals("") && var8 != null) {
               if (!var15.equals("") && var15 != null) {
                  var15 = var15 + "," + var8;
               } else {
                  var15 = var8;
               }
            }

            if (!var9.equals("") && var9 != null) {
               if (!var6.equals("") && var6 != null) {
                  var6 = var6 + "," + var9;
               } else {
                  var6 = var9;
               }
            }
         }

         var17 = (var16 = this.getTable().getSelectedRows()).length;

         for(var18 = 0; var18 < var17; ++var18) {
            this.setItemValue(var16[var18], "empidset", var15);
            this.setItemValue(var16[var18], "empnameset", var6);
         }
      }

      return super.on_actionPerformed(var1);
   }

   protected int on_new(int var1) {
      this.setItemValue(var1, "employeename", ClientUserManager.getCurrentUser().getUsername());
      this.setItemValue(var1, "inputmanid", ClientUserManager.getCurrentUser().getUserid());
      this.setItemValue(var1, "credate", NpbusiDBHelper.getSysdate());
      return super.on_new(var1);
   }

   protected void on_itemvaluechange(int var1, String var2, String var3) {
      if ("curinvoiceno".equals(var2) || "invoicelen".equals(var2)) {
         if (var3 != null && !"".equals(var3)) {
            try {
               Integer.parseInt(var3);
            } catch (Exception var8) {
               this.infoMessage("错误", "curinvoiceno".equals(var2) ? "发票号" : "发票位数需为有效的数字");
               this.setItemValue(var1, var2, "");
               this.setFocus(var2);
               return;
            }
         }

         String var4 = this.getItemValue(var1, "curinvoiceno");
         String var5 = this.getItemValue(var1, "invoicelen");
         if ("".equals(var5) || var5 == null) {
            var5 = "0";
         }

         int var6 = var4.length();
         if (var4.length() < Integer.parseInt(var5)) {
            for(int var7 = 0; var7 < Integer.parseInt(var5) - var6; ++var7) {
               var4 = "0" + var4;
            }
         }

         this.setItemValue(var1, "curinvoiceno", var4);
      }

      if ("employeename".equals(var2)) {
         Chinesetoen var9 = new Chinesetoen();
         this.setItemValue(var1, "employeeopcode", var9.getAllFirstLetter(var3));
      }

      super.on_itemvaluechange(var1, var2, var3);
   }

   protected void on_modify(int var1) {
      String var2 = this.getItemValue(var1, "curinvoiceno");
      String var3 = this.getItemValue(var1, "invoicelen");
      if (var2 != null && !"".equals(var2) && var3 != null && !"".equals(var3)) {
         int var4 = var2.length();
         if (var2.length() < Integer.parseInt(var3)) {
            for(int var5 = 0; var5 < Integer.parseInt(var3) - var4; ++var5) {
               var2 = "0" + var2;
            }
         }

         this.setItemValue(var1, "curinvoiceno", var2);
      }

      super.on_modify(var1);
   }
}
